<?php
/**
 * Avalanche for Magento 1.8+
 * Designed by Fast Division (http://fastdivision.com)
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file license.txt.
 * It is also available through the world-wide-web at this URL:
 * http://fastdivision.com/legal/license.txt
 *
 * @author     Fast Division
 * @version    1.5.0
 * @copyright  Copyright 2013 Fast Division
 * @license    http://fastdivision.com/legal/license.txt
 */

$installer = $this;
$installer->startSetup();

try {
  $installer->run("
  -- DROP TABLE IF EXISTS {$this->getTable('navigation')};
  CREATE TABLE {$this->getTable('navigation')} (
    `navigation_id` int(11) unsigned NOT NULL auto_increment,
    `link_name` varchar(255) NOT NULL default '',
    `link_url` varchar(255) NOT NULL default '',
    `link_index` int(11)  NOT NULL default '0',
    `link_id` varchar(255) NOT NULL default '',
    `link_class` varchar(255) NOT NULL default '',
    `store_id` smallint(5) NOT NULL default '0',
    `category_id` int(10) NOT NULL default '0',
    `static_block` varchar(255) NOT NULL default '',
    `status` smallint(6) NOT NULL default '0',
    PRIMARY KEY (`navigation_id`)
  ) ENGINE=InnoDB DEFAULT CHARSET=utf8;");
} catch(Exception $e) {
    Mage::logException($e);
}

$installer->endSetup(); 